h36422
s 00038/00000/00000
d D 1.1 82/08/03 08:46:47 cecily 1 0
e
u
U
t
T
I 1
chown	title	unix c svc library -- chown

.chown	equ	16

	entry	chown
r0	equ	0
rf	equ	15
sp	equ	7
*
	impur
chownsvc	equ	*
	svc	0,.chown
name	dc	a(*-*)
owner	dc	a(*-*)
group	dc	a(*-*)
*
	pure
chown	equ	*
	l	r0,0(sp)	name
	st	r0,name
	l	r0,adc(sp)	owner
	st	r0,owner
	l	r0,2*adc(sp)	group
	st	r0,group
	svc	0,0
	dc	a(chownsvc)
	bc	error
	lis	r0,0
	br	rf
error	equ	*
	st	r0,errno
	lcs	r0,1		error return
	br	rf

errno	comn
	das	1
	ends
	end
E 1
